
package de.ivu.elect.business.stimmzettel.boundary;

import java.io.Serializable;

import de.ivu.elect.business.stimmzettel.entity.Stimmzettel;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class StimmzettelFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public Stimmzettel create() {
        Stimmzettel entity = new Stimmzettel(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(Stimmzettel entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
